com.unitech.lib.types

## Enum ResultCode

- java.lang.Object
- - java.lang.Enum<ResultCode>
  - - com.unitech.lib.types.ResultCode

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<ResultCode>

      public enum ResultCode
      extends java.lang.Enum<ResultCode>
      implements IEnumType

  The ResultCode enumeration represents failure and behavior results.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BusyDevice` Busy Device
    `CommandFormatError` Command format error
    `ConnectFail` Connect Failed
    `CRCError` CRC error on tag response
    `FailedParameter` Failed to process Parameter
    `HandleMismatch` Handle Mismatch
    `InOperation` In Operation
    `InsufficientPower` Insufficient Power
    `InvalidCommand` Invalid command
    `InvalidModule` Invalid Module Object
    `InvalidParameter` Invalid Parameter
    `InvalidPassword` Invalid password
    `InvalidReceivePacket` Invalid Receive Packet
    `InvalidResponse` Invalid Response
    `InvalidResponseData` Invalid Response Data
    `InvalidResponseExParam` Invalid Response Extend Parameter
    `InvalidResponseIndex` Invalid Response Index
    `InvalidSendPacket` Invalid Send Packet
    `LowBattery` Low battery
    `MemoryLocked` Memory Locked
    `MemoryOverrun` Memory Overrun
    `NoError` No Error
    `NonSpecificError` Non-Specific Error
    `NoTagReply` No tag reply
    `NotFoundParameter` Not Found Parameter
    `NotSupported` Not Supported
    `NotSupportedBarcodeMode` Not Supported Barcode Mode
    `NotSupportedBeep` Not Supported Beep Function
    `NotSupportedKeyMode` Not Supported Barcode Mode
    `NotSupportedLight` Not Supported Light Function
    `NotSupportedNormalMode` Not Supported Normal Mode
    `NotSupportedVibrate` Not Supported Vibration Function
    `OperationFailed` Operation failed
    `OtherError` Other Error
    `OutOfRange` Out of Range
    `OutOfRetries` Out of retries
    `ParamError` Parameter error
    `ReadCountInvalid` Read count invalid
    `ReceiveFail` Receive Failed
    `ReceiveTimeout` Receive Timeout
    `SendFail` Send Failed
    `SendTimeout` Send Timeout
    `SystemError` System Error
    `TagLost` Tag lost
    `Timeout` Timeout
    `Undefined` Undefined
    `UnknownError` Unknown Error
    `ZeroKillPassword` Zero kill password

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Get the enum code value
    `java.lang.String` | `getMessage()` Returns the result code's description.
    `java.lang.String` | `toString()` Return the name of the enum
    `static ResultCode` | `valueOf(int code)` Returns the enum constant of this type with the specified code.
    `static ResultCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ResultCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NoError

          public static final ResultCode NoError

      No Error

    - #### OtherError

          public static final ResultCode OtherError

      Other Error

    - #### Undefined

          public static final ResultCode Undefined

      Undefined

    - #### MemoryOverrun

          public static final ResultCode MemoryOverrun

      Memory Overrun

    - #### MemoryLocked

          public static final ResultCode MemoryLocked

      Memory Locked

    - #### InsufficientPower

          public static final ResultCode InsufficientPower

      Insufficient Power

    - #### NonSpecificError

          public static final ResultCode NonSpecificError

      Non-Specific Error

    - #### InvalidModule

          public static final ResultCode InvalidModule

      Invalid Module Object

    - #### NotSupported

          public static final ResultCode NotSupported

      Not Supported

    - #### InOperation

          public static final ResultCode InOperation

      In Operation

    - #### OutOfRange

          public static final ResultCode OutOfRange

      Out of Range

    - #### NotSupportedBeep

          public static final ResultCode NotSupportedBeep

      Not Supported Beep Function

    - #### NotSupportedVibrate

          public static final ResultCode NotSupportedVibrate

      Not Supported Vibration Function

    - #### NotSupportedLight

          public static final ResultCode NotSupportedLight

      Not Supported Light Function

    - #### NotSupportedNormalMode

          public static final ResultCode NotSupportedNormalMode

      Not Supported Normal Mode

    - #### NotSupportedBarcodeMode

          public static final ResultCode NotSupportedBarcodeMode

      Not Supported Barcode Mode

    - #### NotSupportedKeyMode

          public static final ResultCode NotSupportedKeyMode

      Not Supported Barcode Mode

    - #### InvalidResponse

          public static final ResultCode InvalidResponse

      Invalid Response

    - #### InvalidResponseIndex

          public static final ResultCode InvalidResponseIndex

      Invalid Response Index

    - #### InvalidParameter

          public static final ResultCode InvalidParameter

      Invalid Parameter

    - #### InvalidResponseData

          public static final ResultCode InvalidResponseData

      Invalid Response Data

    - #### InvalidResponseExParam

          public static final ResultCode InvalidResponseExParam

      Invalid Response Extend Parameter

    - #### FailedParameter

          public static final ResultCode FailedParameter

      Failed to process Parameter

    - #### NotFoundParameter

          public static final ResultCode NotFoundParameter

      Not Found Parameter

    - #### SendFail

          public static final ResultCode SendFail

      Send Failed

    - #### ReceiveFail

          public static final ResultCode ReceiveFail

      Receive Failed

    - #### SendTimeout

          public static final ResultCode SendTimeout

      Send Timeout

    - #### ReceiveTimeout

          public static final ResultCode ReceiveTimeout

      Receive Timeout

    - #### InvalidSendPacket

          public static final ResultCode InvalidSendPacket

      Invalid Send Packet

    - #### InvalidReceivePacket

          public static final ResultCode InvalidReceivePacket

      Invalid Receive Packet

    - #### ConnectFail

          public static final ResultCode ConnectFail

      Connect Failed

    - #### Timeout

          public static final ResultCode Timeout

      Timeout

    - #### UnknownError

          public static final ResultCode UnknownError

      Unknown Error

    - #### SystemError

          public static final ResultCode SystemError

      System Error

    - #### HandleMismatch

          public static final ResultCode HandleMismatch

      Handle Mismatch

    - #### CRCError

          public static final ResultCode CRCError

      CRC error on tag response

    - #### NoTagReply

          public static final ResultCode NoTagReply

      No tag reply

    - #### InvalidPassword

          public static final ResultCode InvalidPassword

      Invalid password

    - #### ZeroKillPassword

          public static final ResultCode ZeroKillPassword

      Zero kill password

    - #### TagLost

          public static final ResultCode TagLost

      Tag lost

    - #### CommandFormatError

          public static final ResultCode CommandFormatError

      Command format error

    - #### ReadCountInvalid

          public static final ResultCode ReadCountInvalid

      Read count invalid

    - #### OutOfRetries

          public static final ResultCode OutOfRetries

      Out of retries

    - #### ParamError

          public static final ResultCode ParamError

      Parameter error

    - #### BusyDevice

          public static final ResultCode BusyDevice

      Busy Device

    - #### InvalidCommand

          public static final ResultCode InvalidCommand

      Invalid command

    - #### LowBattery

          public static final ResultCode LowBattery

      Low battery

    - #### OperationFailed

          public static final ResultCode OperationFailed

      Operation failed

  - ### Method Detail

    - #### values

          public static ResultCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResultCode c : ResultCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResultCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Description copied from interface: `IEnumType`
      Get the enum code value
      Specified by:
        `getCode` in interface `IEnumType`
      Returns:
        The code value

    - #### toString

          public java.lang.String toString()

      Description copied from interface: `IEnumType`
      Return the name of the enum
      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<ResultCode>`
      Returns:
        The name of the enum

    - #### valueOf

          public static ResultCode valueOf(int code)

      Returns the enum constant of this type with the specified code.
      Parameters:
        `code` - The code to check
      Returns:
        The enum constant with the specified code

    - #### getMessage

          public java.lang.String getMessage()

      Returns the result code's description.
      Returns:
        The result code's description.